RDKit: ForceFields::MMFF::MMFFVdWCollection Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ForceFields::MMFF::MMFFVdWCollection Class Reference

`#include <Params.h>`

## Public Member Functions
const MMFFVdW * | operator() (const unsigned int atomType) const
| Looks up the parameters for a particular key and returns them.
| MMFFVdWCollection (std::string mmffVdW="")

## Public Attributes
double | power
| gets a pointer to the singleton MMFFVdWCollection
double | B
double | Beta
double | DARAD
double | DAEPS
std::vector< MMFFVdW > | d_params
| the parameter vector
std::vector< std::uint8_t > | d_atomType
| atom type vector

## Detailed Description

Definition at line 960 of file MMFF/Params.h.

## Constructor & Destructor Documentation

## ◆ MMFFVdWCollection()

ForceFields::MMFF::MMFFVdWCollection::MMFFVdWCollection | ( | std::string | mmffVdW = "" | ) |

References d_params.

## Member Function Documentation

## ◆ operator()()

const MMFFVdW * ForceFields::MMFF::MMFFVdWCollection::operator() | ( | const unsigned int | atomType | ) | const
| inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFVdW object, NULL on failure.

Definition at line 972 of file MMFF/Params.h.

References d_atomType, and d_params.

## Member Data Documentation

## ◆ B

double ForceFields::MMFF::MMFFVdWCollection::B

Definition at line 964 of file MMFF/Params.h.

## ◆ Beta

double ForceFields::MMFF::MMFFVdWCollection::Beta

Definition at line 965 of file MMFF/Params.h.

## ◆ d_atomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFVdWCollection::d_atomType

atom type vector

Definition at line 990 of file MMFF/Params.h.

Referenced by operator()().

## ◆ d_params

std::vector<MMFFVdW> ForceFields::MMFF::MMFFVdWCollection::d_params

the parameter vector

Definition at line 989 of file MMFF/Params.h.

Referenced by MMFFVdWCollection(), and operator()().

## ◆ DAEPS

double ForceFields::MMFF::MMFFVdWCollection::DAEPS

Definition at line 967 of file MMFF/Params.h.

## ◆ DARAD

double ForceFields::MMFF::MMFFVdWCollection::DARAD

Definition at line 966 of file MMFF/Params.h.

## ◆ power

double ForceFields::MMFF::MMFFVdWCollection::power

gets a pointer to the singleton MMFFVdWCollection

Definition at line 963 of file MMFF/Params.h.

The documentation for this class was generated from the following file:

- MMFF/Params.h